package com.htfp.service.usm.app.controller.manage;

import com.htfp.service.usm.app.model.BaseHttpResponse;

import com.htfp.service.usm.biz.model.request.InsertUavInfoRequest;
import com.htfp.service.usm.biz.model.request.QueryUavInfoByIdRequest;

import com.htfp.service.usm.biz.service.IUavInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-09 18:17
 **/

/**
 * 无人机信息管理
 */
@Slf4j
@RestController
@RequestMapping("/manage/uav")
public class UavInfoController {
    @Autowired
    private IUavInfoService uavInfoService;

    /**
     * 根据id查询uav信息
     * @param insertUavInfoRequest 录入uav信息请求体
     * @return 录入uav信息响应体
     */
    @RequestMapping(value = "/queryUavInfoById", method = RequestMethod.POST)
    public BaseHttpResponse queryUavInfoById(@RequestBody @Validated QueryUavInfoByIdRequest insertUavInfoRequest) {
        log.info("新增无人机: {}", insertUavInfoRequest);
        Integer uavId = insertUavInfoRequest.getUavId();
        uavInfoService.queryUavInfoById(uavId);
        return BaseHttpResponse.success();
    }

    // /**
    //  * 根据id查询uav信息
    //  * @param insertUavInfoRequest 录入uav信息请求体
    //  * @return 录入uav信息响应体
    //  */
    // @RequestMapping(value = "/queryUavInfoBySn", method = RequestMethod.POST)
    // public BaseHttpResponse queryUavInfoBySn(@RequestBody @Validated QueryUavInfoBySnRequest insertUavInfoRequest) {
    //     log.info("新增无人机: {}", insertUavInfoRequest);
    //     return BaseHttpResponse.success();
    // }
    //
    //
    /**
     * 录入uav信息
     * @param insertUavInfoRequest 录入uav信息请求体
     * @return 录入uav信息响应体
     */
    @RequestMapping(value = "/insertUavInfo", method = RequestMethod.POST)
    public BaseHttpResponse insertUavInfo(@RequestBody InsertUavInfoRequest insertUavInfoRequest) {
        log.info("新增无人机: {}", insertUavInfoRequest);
        uavInfoService.insertUavInfo(insertUavInfoRequest);
        return BaseHttpResponse.success();
    }
}
