package com.htfp.service.usm.biz.exception;

import com.htfp.service.usm.common.enums.ErrorCodeEnum;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 11:18
 **/
public class BusinessException extends RuntimeException {

    private final ErrorCodeEnum errorCodeEnum;
    private final String content;

    // 场景1：仅消息
    public BusinessException(String content) {
        super(content);
        this.content = content;
        this.errorCodeEnum = ErrorCodeEnum.UNKNOWN_ERROR;
    }

    // 场景2：仅枚举
    public BusinessException(ErrorCodeEnum errorCodeEnum) {
        super(errorCodeEnum.getDesc());
        this.content = null;
        this.errorCodeEnum = errorCodeEnum;
    }

    // 场景3：枚举 + 自定义信息
    public BusinessException(ErrorCodeEnum errorCodeEnum, String content) {
        super(content);
        this.errorCodeEnum = errorCodeEnum;
        this.content = content;
    }

    public ErrorCodeEnum getErrorCodeEnum() {
        return errorCodeEnum;
    }

    public String getcontent() {
        return content;
    }
}
