package com.htfp.service.usm.biz.service;

import com.htfp.service.usm.biz.model.request.InsertLabelRequest;
import com.htfp.service.usm.biz.model.request.UpdateLabelRequest;
import com.htfp.service.usm.biz.model.response.LabelVO;
import com.htfp.service.usm.dao.model.entity.LabelDO;

import java.util.List;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 09:11
 **/
public interface ILabelService {

    /**
     * 新增标签
     * @param insertLabelRequest 标签信息
     * @return 数据库自增主键
     */
    Integer insertLabel(InsertLabelRequest insertLabelRequest);

    /**
     * 查询所有标签
     * @return 标签列表
     */
    List<LabelVO> queryAllLabels();

    /**
     * 查询所有标签id
     * @return 标签列表
     */
    List<Long> queryAllLabelsId();
    /**
     * 根据ID查询标签
     * @param id 标签ID
     * @return 标签信息
     */
    LabelVO queryLabelById(Integer id);

    /**
     * 根据名称查询标签
     * @param labelName 标签名称
     * @return 标签信息
     */
    LabelVO queryLabelByName(String labelName);

    /**
     * 批量删除标签
     * @param ids 标签ID列表
     */
    void batchDeleteLabels(List<Integer> ids);
    
    /**
     * 更新标签信息
     * @param updateLabelRequest 标签更新信息
     */
    void updateLabel(UpdateLabelRequest updateLabelRequest);
}
