package com.htfp.service.usm.biz.service;

import com.htfp.service.usm.biz.model.request.InsertUavInfoRequest;
import com.htfp.service.usm.dao.model.entity.UavInfoDO;
import com.htfp.service.usm.dao.model.param.QueryUavInfoParam;

import java.util.List;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-10 17:33
 **/
public interface IUavInfoService {

    /**
     * 根据内部id查询无人机信息
     * @param uavId
     * @return
     */
    UavInfoDO queryUavInfoById(Integer uavId);

    /**
     * 根据无人机sn查询无人机信息
     * @param uavSn
     * @return
     */
    UavInfoDO queryUavInfoBySn(String uavSn);

    /**
     * 根据指定参数查询无人机信息
     * @param queryUavInfoParam 查询条件参数
     * @return List<<UavInfoDO>UavInfoDO</UavInfoDO>> 返回满足条件的数据列表
     */
    List<UavInfoDO> queryUavInfoPageByCondition(QueryUavInfoParam queryUavInfoParam);

    /**
     * 设置无人机标签
     * @param insertUavInfoRequest 插入数据参数
     * @return Integer 系统生成的id
     */
    Integer insertUavInfo(InsertUavInfoRequest insertUavInfoRequest);

    /**
     * 设置无人机标签
     * @param uavId 无人机id
     * @param labelIdList  标签id列表
     */
    void setUavLabelMapping(Integer uavId, List<Integer> labelIdList);
}
