package com.htfp.service.usm.biz.service.impl;

import com.htfp.service.usm.biz.service.IUavLabelMappingService;
import com.htfp.service.usm.dao.mapper.UavLabelMappingMapper;
import com.htfp.service.usm.dao.model.mapping.UavLabelMappingDO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * @author : shi_y
 * @description :
 * @createTime : 2025-06-12 16:29
 **/
@Service
public class IUavLabelMappingServiceImpl implements IUavLabelMappingService {

    @Resource
    UavLabelMappingMapper uavLabelMappingMapper;

    @Transactional
    @Override
    public int removeAllLabelsByUavId(Long uavId) {
        return uavLabelMappingMapper.deleteByUavId(uavId);
    }

    @Override
    public int removeAllLabelsByLabelIds(List<Long> labelIdList) {
        return uavLabelMappingMapper.deleteByLabelIds(labelIdList);
    }

    @Transactional
    @Override
    public void addLabels(Long uavId, List<Long> labelIdList) {
        List<UavLabelMappingDO> uavLabelMappingDOList = new ArrayList<>();
        for (Long labelId : labelIdList) {
            UavLabelMappingDO uavLabelMappingDO = new UavLabelMappingDO(null, uavId, labelId, 0, LocalDateTime.now(), LocalDateTime.now());
            uavLabelMappingDOList.add(uavLabelMappingDO);
        }
        uavLabelMappingMapper.batchInsert(uavLabelMappingDOList);
    }


}
