package com.htfp.service.usm.common.enums;

/**
 * @Author sunjipeng
 * @Date 2022-05-18 16:39
 * @Description 返回体失败类型枚举
 */
public enum ErrorCodeEnum {
    SUCCESS(0, "成功"),
    // 系统错误
    SYSTEM_ERROR(500, "系统异常"),

    // 业务错误
    //      校验错误
    PARAM_VALIDATION_ERROR(1001, "参数校验失败"),
    SQL_ERROR(3000, "数据库错误"),
    DUPLICATE_ENTRY(3001, "数据重复"),
    DATA_NOT_EXIST(3002, "数据不存在"),

    UNKNOWN_ERROR(9999, "未知错误"),
    ;


    public final Integer code;
    public final String desc;

    ErrorCodeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static ErrorCodeEnum getFromCode(Integer code) {
        for (ErrorCodeEnum errorCodeEnum : values()) {
            if (errorCodeEnum.code.equals(code)) {
                return errorCodeEnum;
            }
        }
        return null;
    }
}
