package com.htfp.service.usm.common.enums;

/**
 * @author : shi_y
 * @description : 无人机涂装标识枚举
 * @createTime : 2025-06-11 10:58
 **/
public enum UavMarkerEnum {

    MARKER1(0, "涂装标识1"),
    OTHERS(99, "其他"),
    ;

    public final Integer code;
    public final String desc;

    UavMarkerEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static UavMarkerEnum getFromCode(Integer code) {
        for (UavMarkerEnum enumItem : values()) {
            if (enumItem.code.equals(code)) {
                return enumItem;
            }
        }
        return null;
    }
}
