package com.htfp.service.usm.common.enums;

/**
 * @author : shi_y
 * @description : 无人机使用状态枚举
 * @createTime : 2025-06-11 10:58
 **/
public enum UavUsageStatusEnum {
 // 0-闲置, 1-维修, 2-任务中, 3-试验, 4-交付, 5-报废, 6-库房中
    IDLE(0, "闲置"),
    REPAIRING(1, "维修"),
    IN_MISSION(2, "任务中"),
    TESTING(3, "试验"),
    DELIVERED(4, "交付"),
    SCRAPED(5, "报废"),
    IN_STORAGE(6, "库房中"),
    OTHERS(99, "其他"),
    ;

    public final Integer code;
    public final String desc;

    UavUsageStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static UavUsageStatusEnum getFromCode(Integer code) {
        for (UavUsageStatusEnum enumItem : values()) {
            if (enumItem.code.equals(code)) {
                return enumItem;
            }
        }
        return null;
    }
}
