# 设备信息主表
create table device_info
(
    id                  int primary key auto_increment comment '主键id',
    device_sn           varchar(64) not null comment '设备唯一识别码, 对外使用, 由业务员录入',
    device_type_id      int                not null comment '设备类型id',
    device_name         varchar(30)        not null comment '设备名, 同一类设备可能有多个， 可用别名区分',
    device_model        varchar(30) comment '型号',
    manufacturer        varchar(100) comment '生产厂家',
    install_date        date               not null comment '装机日期',
    total_utilized_time int                not null default 0 comment '累计已使用时间 (小时)',
    expected_life       int comment '预计寿命(年)',
    note                text comment '备注',
    create_time         datetime,
    update_time         datetime
) comment '无人机设备信息表';