# 无人机基本信息表
create table if not exists uav_info
(
    id                 bigint unsigned not null primary key auto_increment comment 'uavId, 主键',
    uav_sn             varchar(64)     not null comment '无人机唯一识别码',
    uav_number         int             not null comment '无人机编号, 例如1号机, 2号机...',
    uav_model          int             not null comment '无人机型号: enum',
    configuration_info varchar(128) comment '无人机构型说明',
    manufacturer       varchar(64) comment '无人机生产厂家',
    production_date    date comment '无人机生产日期',
    production_site    varchar(64) comment '无人机生产地点',
    production_batch   tinyint comment '无人机出厂批次',
    paint_mark         tinyint comment '无人机涂装标识: enum',
    usage_status       tinyint         not null comment '无人机使用状态: 0-闲置, 1-维修, 2-任务中, 3-试验, 4-交付, 5-报废, 6-库房中',
    current_location   varchar(64) comment '无人机当前所在地',
    is_delete          tinyint         not null default 0 comment '是否删除,0:未删除,1:已删除',
    create_time        datetime comment '创建时间',
    update_time        datetime comment '更新时间',
    unique key uniq_sn_active (uav_sn, is_delete)
#     foreign key (label_id) references label (uavId)
) comment '无人机基础信息表'
;

