# 设备拆装记录
create table device_mount_record
(
    id            int primary key auto_increment comment '主键id',
    device_id     varchar(64) not null comment '设备id',
    uav_id        bigint      not null comment '无人机id',
    mount_date    date        not null comment '装机日期',
    unmount_date  date comment '拆卸日期',
    utilized_time int         not null default 0 comment '已使用时间 (小时)',
    expected_life int comment '预计寿命(年)',
    record_status tinyint     not null comment '设备状态, enum: 0-失效, 1-生效',
    note          text comment '备注',
    create_time   datetime,
    update_time   datetime,
    index idx_uav_status (uav_id, record_status) comment '无人机所有的在用设备'
) comment '无人机设备清单表';