package com.htfp.service.usm.dao.mapper;

import com.htfp.service.usm.dao.constant.TableName;
import com.htfp.service.usm.dao.model.entity.UavInfoDO;
import com.htfp.service.usm.dao.model.param.QueryUavInfoParam;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
* @author shi_y
* @description 针对表【uav_info(无人机基础信息表)】的数据库操作Mapper
* @createDate 2025-06-11 16:59:09
* @Entity com.htfp.service.usm.dao.model.entity.UavInfoDO
*/
@Mapper
public interface UavInfoMapper {
    String TABLE_NAME = TableName.UAV_INFO;

    /**根据id查询UavInfo*/
    @Select("select * from "+TABLE_NAME+" where id=#{id} and is_delete=0")
    UavInfoDO selectByUavId(@Param("id") Long id);

    /**根据sn查询UavInfo*/
    @Select("select * from "+TABLE_NAME+" where uav_sn=#{uavSn} and is_delete=0")
    UavInfoDO selectByUavSn(@Param("uavSn") String uavSn);

    /**根据条件查询UavInfo*/
    List<UavInfoDO> selectByCondition(QueryUavInfoParam queryUavInfoParam);

    /**插入UavInfo*/
    @Insert("insert into " + TABLE_NAME +
            " (uav_sn, uav_number, uav_model, configuration_info, manufacturer, production_date, production_site," +
            " production_batch, paint_mark, usage_status, current_location, is_delete, create_time, update_time)" +
            " values (#{uavSn}, #{uavNumber}, #{uavModel}, #{configurationInfo}, #{manufacturer}," +
            " #{productionDate}, #{productionSite}, #{productionBatch}, #{paintMark}, #{usageStatus}, #{currentLocation}," +
            " #{isDelete}, #{createTime}, #{updateTime})"
    )
    @Options(useGeneratedKeys = true, keyColumn = "id", keyProperty = "id")
    Long insertUavInfo(UavInfoDO uavInfoDO);


}




