package com.htfp.service.usm.dao.model.entity;

import java.time.LocalDate;
import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 无人机基础信息表
 * @TableName uav_info
 */
@Data @NoArgsConstructor @AllArgsConstructor
public class UavInfoDO {
    /**
     * uavId, 主键
     */
    private Long id;

    /**
     * 无人机唯一识别码
     */
    private String uavSn;

    /**
     * 无人机编号, 例如1号机, 2号机...
     */
    private Integer uavNumber;

    /**
     * 无人机型号: enum
     */
    private Integer uavModel;

    /**
     * 无人机构型说明
     */
    private String configurationInfo;

    /**
     * 无人机生产厂家
     */
    private String manufacturer;

    /**
     * 无人机生产日期
     */
    private LocalDate productionDate;

    /**
     * 无人机生产地点
     */
    private String productionSite;

    /**
     * 无人机出厂批次
     */
    private Integer productionBatch;

    /**
     * 无人机涂装标识: enum
     */
    private Integer paintMark;

    /**
     * 无人机使用状态: 0-闲置, 1-维修, 2-任务中, 3-试验, 4-交付, 5-报废, 6-库房中
     */
    private Integer usageStatus;

    /**
     * 无人机当前所在地
     */
    private String currentLocation;

    /**
     * 是否删除,0:未删除,1:已删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}